# azure.mgmt.keyvault package

## Submodules

- azure.mgmt.keyvault.models module
- azure.mgmt.keyvault.operations module

## Module contents

class `azure.mgmt.keyvault.``KeyVaultManagementClient`(credentials, subscription_id, api_version='2015-06-01', accept_language='en-US', long_running_operation_retry_timeout=30, generate_client_request_id=True, base_url=None, filepath=None)

  Bases: `object`

  The Azure management API provides a RESTful set of web services that interact with Azure Key Vault.

  Variables:

  - config (KeyVaultManagementClientConfiguration) – Configuration for client.
  - vaults (operations.VaultsOperations) – Vaults operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Gets subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.
  - api_version (str) – Client Api Version.
  - accept_language (str) – Gets or sets the preferred language for the response.
  - long_running_operation_retry_timeout (int) – Gets or sets the retry timeout in seconds for Long Running Operations. Default value is 30.
  - generate_client_request_id (bool) – When set to true a unique x-ms-client-request-id value is generated and included in each request. Default is true.
  - base_url (str) – Service URL
  - filepath (str) – Existing config